var scormApi;
var initialized;

function ScanParentsForApi(win) 
{ 
	var MAX_PARENTS_TO_SEARCH = 500; 
	var nParentsSearched = 0;
	while ( (win.API == null) && 
			(win.parent != null) && (win.parent != win) && 
			(nParentsSearched <= MAX_PARENTS_TO_SEARCH) 
		  )
	{ 
		nParentsSearched++; 
		win = win.parent;
	} 
	return win.API; 
} 

function GetAPI() 
{ 	
	var API = null; 
	if ((window.parent != null) && (window.parent != window)) 
	{ 
		API = ScanParentsForApi(window.parent); 
	} 
	if ((API == null) && (window.top.opener != null))
	{ 
		API = ScanParentsForApi(window.top.opener); 
	} 
	return API;
}

function LMSGetValue(iDataModelElement)
{	if(!initialized)scormApi.LMSInitialize("");
	return String(scormApi.LMSGetValue(String(iDataModelElement)));
}

function LMSSetValue(iDataModelElement, iValue )
{
	return String(scormApi.LMSSetValue(String(iDataModelElement), String(iValue)));
}

function LMSCommit(iParam)
{
	return scormApi.LMSCommit(iParam);
}

function init()
{
	scormApi = GetAPI();

	if (scormApi == null){
		alert("Error finding API instance");
	} else
	{
		scormApi.LMSInitialize("");
		initialized = true;
	}
}

function exit()
{	
	scormApi.LMSSetValue( "cmi.core.lesson_status", "incomplete" );
	scormApi.LMSSetValue("cmi.core.exit","suspend");
	scormApi.LMSCommit("");
	scormApi.LMSFinish("");
}

function NewWindow(mypage) 
{	
	parent.bodyframe.location.href=mypage;
	parent.top.document.body.rows = "100, *"
}
	function CloseWindow() 
{
		
	parent.bodyframe.location.href='about:blank';
	parent.top.document.body.rows = "600, *"
}

var win;
	
function NewPopUp(mypage, myname, w, h, scroll) 
{	var winl = (screen.width - w) / 2;
	var wint = (screen.height - h) / 2;
	winprops = 'height='+h+',width='+w+',top='+wint+',left='+winl+',scrollbars='+scroll+',resizable,status=no';
	win = window.open(mypage, myname, winprops);
	if (parseInt(navigator.appVersion) >= 4) 
	{	win.window.focus(); 
	}
}

function ClosePopUp(mypage) 
{	win.window.close(mypage);
}